using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Perica___pecina___takmicenje
{
    class Program
    {
        static int provera(int[] a, int N, int L)
        {
            for (int i = 0; i < N; i++)
            {
                if (a[i] <= L) return (i +1);
            }

            return -1;
        }
        static void Main(string[] args)
        {
            string[] s1 = Console.ReadLine().Split();
            int N = int.Parse(s1[0]);
            int L = int.Parse(s1[1]);
            string[] s2 = Console.ReadLine().Split();
            int[] a = new int[N];
            for (int i = 0; i < N; i++)
            {
                a[i] = int.Parse(s2[i]);
            }
            int r = provera(a, N, L);
            Console.WriteLine(r);
            Console.ReadLine();
        }
    }
}